<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가

$w = $_POST["w"];

$g4_site_table   =  $g4['table_prefix']."site_".$g4_table;   

$group_path = "$g4[path]/data/file/".$g4_table;


//파일 이미지 업로드

// 디렉토리가 없다면 생성합니다. (퍼미션도 변경하구요.)
// 게시판 디렉토리 생성
@mkdir($group_path, 0707);
@chmod($group_path, 0707);

$file = $group_path . "/index.php";
$f = @fopen($file, "w");
@fwrite($f, "");
@fclose($f);
@chmod($file, 0606);
  
        
$sql              = " set        po_subject = '$po_subject',
                    po_poll1 = '$po_poll1',
                    po_poll2 = '$po_poll2',
                    po_poll3 = '$po_poll3',
                    po_poll4 = '$po_poll4',
                    po_poll5 = '$po_poll5',
                    po_poll6 = '$po_poll6',
                    po_poll7 = '$po_poll7',
                    po_poll8 = '$po_poll8',
                    po_poll9 = '$po_poll9',
                    po_poll10 = '$po_poll10',
                    po_poll11 = '$po_poll11',
                    po_poll12 = '$po_poll12',
                    po_poll13 = '$po_poll13',
                    po_poll14 = '$po_poll14',
                    po_poll17 = '$po_poll17',
                    po_poll18 = '$po_poll18',
                    po_cnt1 = '$po_cnt1',
                    po_cnt2 = '$po_cnt2',
                    po_cnt3 = '$po_cnt3',
                    po_cnt4 = '$po_cnt4',
                    po_cnt5 = '$po_cnt5',
                    po_cnt6 = '$po_cnt6',
                    po_cnt7 = '$po_cnt7',
                    po_cnt8 = '$po_cnt8',
                    po_cnt9 = '$po_cnt9',
                    po_cnt10 = '$po_cnt10',
                    po_cnt11 = '$po_cnt11',
                    po_cnt12 = '$po_cnt12',
                    po_cnt13 = '$po_cnt13',
                    po_cnt14 = '$po_cnt14',
                    po_cnt15 = '$po_cnt15',
                    po_cnt16 = '$po_cnt16',
                    po_cnt17 = '$po_cnt17',
                    po_cnt18 = '$po_cnt18',
                    po_cnt19 = '$po_cnt19' ";



if ($index_menu_del) {
    @unlink("$group_path/$po_poll19");
    $sql .= " , po_poll19 = '' ";
}

if ($_FILES[po_poll19][name]) {
    $bo_image_menu_urlencode = urlencode($_FILES[po_poll19][name]);
    $sql .= " , po_poll19 = '$bo_image_menu_urlencode' ";
}

if ($_FILES[po_poll19][name]) { 
    $bo_image_11_path = "$group_path/$bo_image_menu_urlencode";
    move_uploaded_file($_FILES[po_poll19][tmp_name], $bo_image_11_path);
    chmod($bo_image_11_path, 0606);
}

if ($w == ""){
    $result = sql_query(" insert into $g4_site_table $sql ");
	$po_id  = mysql_insert_id();

}
else if($w == "u"){

    $result = sql_query(" update $g4_site_table $sql where po_id = '$po_id' ");
}

if($result){
    $go_path = "$g4[admin_path]/category_list.php?url=banner_write&po_id=".$po_id."&w=u";
    goto_url($go_path);
}
?>


